Subject: clisp-1999-01-08: make lispinit.mem SGI Error

From: Tobias Kunze <[email-masked]>
Date: Thu, 01 Apr 1999 04:26:14 -0500

Hi-

Trying to build the newest clisp (1999-01-08) in order to 
research Matti's problems, but the build fails on my SGI running
IRIX 6.5.3f in make lispinit.mem, when the freshly compiled 
fasls are loaded into the interpreted image:

    % cd /usr/local/lisp/clisp-1999-01-08/
    % setenv CC "cc -woff all"
    % ./configure
    % cd src
    % ./makemake --with-readline --with-dynamic-ffi --with-gettext > Makefile
    % make config.lsp
    ; edit config.lsp (or copy from old build)
    % make init
    % make allc
    % make libreadline.a
    % make lisp.run
    % make interpreted.mem
    % make lispinit.mem
      [compiling all files...]
      ./lisp.run -N locale -norc -x "(load \"init.fas\") (sys::%saveinitmem) (exit)"
      i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo   
      I I I I I I I      8     8   8           8     8     o  8    8  
      I I I I I I I      8         8           8     8        8    8  
      I I I I I I I      8         8           8      ooooo   8oooo   
      I  \ `+' /  I      8         8           8           8  8       
       \  `-+-'  /       8     o   8           8     o     8  8       
        `-__|__-'         ooooo    8oooooo  ooo8ooo   ooooo   8       
            |                                                         
      ------+------     Copyright (c) Bruno Haible, Michael Stoll 1992, 1993
                        Copyright (c) Bruno Haible, Marcus Daniels 1994-1997
                        Copyright (c) Pierpaolo Bernardi, Sam Steingold 1998
                                                                  
    ;; Loading file defseq.fas ...*** Termination code 138 (bu21)

The call is the first LOAD call (Top-level-form-32) in init.fas.  
When I comment it out, the next load fails (with the same bus error).
The form is:

  #Y(#:TOP-LEVEL-FORM-32 #15Y(00 00 00 00 00 00 00 00 00 01 DA 2F 01 19 01)
   "defseq" LOAD
  )

Any ideas what might go wrong here?  Is the compiler producing
bad binary code?  The default SGI_ABI is -n32.

I also note that the fasl files start with a line

  (SYSTEM::VERSION '(19981031.))

which is obviously not 19990108.  Is that ok?

-Tobias